<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Migration_gen05tipousuario extends CI_Migration {
    public function up() {
        $this->dbforge->add_field(array(
            'COD_TIPOUSUA' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'TEX_NOMTIPO' => array(
                'type' => 'VARCHAR',
                'constraint' => '60',
            ),
            'TEX_DESCTIPO' => array(
                'type' => 'TEXT',
                'null' => TRUE  
            ),
        ));
        $this->dbforge->add_key('COD_TIPOUSUA', TRUE);
        $this->dbforge->create_table('gen05tipousuario');
    }

}
